/* Marks selected page in navigation menu */
.products_button{    
    color: var(--text-soft);
    background-color: var(--bg-light); 
    margin: 0px;
}

/* Dropdown menu on "Product" h*/
.products_dropdown{
    position: relative;
}
.products_dropdown:hover .dropdown{
    display: grid;
}
.dropdown{
    display: none;
    grid-template-rows: 1fr 1fr 1fr;
    position: absolute;     /* Drop down menu: https://www.w3schools.com/css/css_dropdowns.asp */

    background-color: var(--bg);
    box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.5);
}
.dropdown a{
    color: var(--text-soft);
    font-size: small;
    line-height: 25px;
}



main{
    grid-column: 1/-1;
    margin: 25px 15vw;
}
main section{
    display: grid;
    grid-template-rows: auto auto auto auto;
    background-color: var(--bg-light);
    border: var(--border) 4px solid;
    border-radius: 20px;
    padding: 30px;
    margin-bottom: 25px;
    box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.25);
}
main section h1{
    grid-column: 1/-1;

    text-align: center;
    font-size: x-large;
    text-decoration-line: underline;

    margin-top: 0px;
}
main section img{
    display: block;
    width: 100%;
}
main section a div{
    position: relative;
}
main section a:hover img{
    filter: blur(2px);                  /* image filters: https://www.w3schools.com/css/css3_image_filters.asp */
    filter: brightness(80%);
}
main section a:hover .details{
    display: grid;
}
main section .details{
    display: none;
    grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));

    position: absolute;                 /* transparent image text https://www.w3schools.com/howto/howto_css_image_transparent.asp */
    bottom: 0px;

    background-color: rgba(0, 0, 0, 70%);       

    width: 100%;
    margin: 0px;
    padding: 5% 10%;

    justify-content: center;
    justify-items: center;
    align-items: center;
}
.details p{
    margin: 0px;
}
.details p:nth-child(1){
    color: white;

    font-size: large;
    font-family: "Jockey One", sans-serif;
    font-weight: 400;
}
.details p:nth-child(2){
    color: var(--white-soft);
    
    font-size: small;
}


 
.colorful{
    grid-template-columns: 2fr 1fr;

}
.colorful a:nth-child(2){ /* 2x3 image styling */ 
    grid-row: 2/-1;
}



.luxury{
    grid-template-columns: 1fr 1fr 1fr;
}
.luxury a:nth-child(2){ /* 2x2 image styling */
    grid-row: 2/4;
    grid-column: 1/3;
}



.minimal{
    grid-template-columns: 2fr 1fr;
}
.minimal a:nth-child(2){ /* top left 2x2 image styling */
    grid-row: 2/4;
}
.minimal a:nth-child(3){ /* bottom 3x1 image styling */
    grid-row: -2/-1;
    grid-column: 1/-1;
}